# Class Vary

java.lang.Object
org.apache.tomcat.util.http.parser.Vary

@Deprecated public class Vary extends Object
Deprecated.
Use `TokenList`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `parseVary(StringReader input, Set<String> result)`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### parseVary

    public static void parseVary(StringReader input, Set<String> result) throws IOException
    Deprecated.
    Throws:
      `IOException`